[Howto: Register Storage Position for a single Sample <<<](PLACESAMPLE.html)

## Howto: Batch register Storage Positions

### XLS Batch Registration

With the new XLS batch registration, samples and their storage positions can be registered in one transaction using the XLS template file, as explained in Batch register entries in a Collection.

### Batch Registration with TSV file

Storage positions are modelled in openBIS as children of other entries. To register the positions for several samples with the Batch Registration using the .tsv template, first the parent samples need to be registered in openBIS. In a second step, the positions are assigned.

To assign storage positions in batch mode follow the steps below:

1. Select Storage positions from the Batch Registration drop down menu.
2. Download the template file.
3. Remove the identifier column from the file (identifiers need to be automatically generated by openBIS).
4. Fill in the parents column. These are the identifiers of the samples for which we want to register the storage positions(/MATERIALS/PROJECT/OBJECT_CODE).
5. Fill the remaining information about the storage positions.
6. Save the file and upload with the Batch Registration.

### Batch update storage positions

To update several storage positions, we can use the batch update option from the Object Browser:

1. Go to the Object Browser under Utilities in the main menu
2. Select the object type Storage Position from the dropdown menu
3. Use the table Filter to select the storage positions you want to update (see Tables)
4. Export the table (see Tables)
5. Edit the file to make the changes needed (e.g. change the name of a box, change the storage, change a box position, change box size etc)
6. Select XLS Batch Update Objects from the More.. dropdown.
7. Import the file you modified before and update the storage positions.

### Delete multiple storage positions

To delete multiple storage positions from multiple samples we can use the Object Browser.

1. Go to the Object Browser under Utilities in the main menu
2. Select Storage Position from the Object Type dropdown
3. Filter the table to find the storage positions you want to delete (see Tables)
4. Select the positions you want to delete from the table and click the Delete button (see picture below)
5. You will be asked to provide a reason for deletion
6. The deleted storage positions will be moved to the trashcan and should be removed from there to be permanently deleted (see Trashcan)

[Next >>> Howto: Object Modification](OBJECTMODIFICATION.html)

----

&copy; Kristian K Ullrich (2024) - ullrich@evolbio.mpg.de