[Howto: Create Default Experiment <<<](CREATEEXPERIMENT.html)

## Howto: Create Entry

As mentioned above, the various steps executed when performing an Experiment in the lab can be registered in openbis as  Experimental Steps or Entries.

An Entry, is a blank page, with no pre-defined fields:

<img src="img/openbis_entry.png" alt="openbis entry" width="800"/>

To register a default Experimental Step or Entry:

1. Navigate to the relevant Experiment in the Lab Notebook menu and click the + New button, as shown below.
2. Select Experimental Step or Entry
3. Fill in the relevant information or select an available template from the list (see below).
4. If Show in project overview is set to true, this Experimental Step or Entry will be displayed on the Project page.
5. Click Save on top of the form.

### Add parents and children to Entry

In the default Experimental Step and in the Entry, there is a Parents section where it is possible to specify links to materials and methods from the Inventory or to any other Object, e.g. another Experimental Step or Entry.

Parents are all samples/materials used in an experimental procedure, standard protocols from the inventory followed in the experimental procedure, the equipment used. It is also possible to set one Experimental Step/Entry as parent of a second Experimental Step/Entry, to keep the connection between the two.

The name of this section and which parents should be shown in the form, is customisable by the lab manager or group admin as described in [Customise Parents and Children Sections in Object Forms](https://openbis.readthedocs.io/en/20.10.x/user-documentation/general-admin-users/admins-documentation/customise-parents-and-children-sections-in-object-forms.html)

<img src="img/openbis_add_parents_children.png" alt="openbis add parents and children" width="200"/>

### Adding a parent

### Adding a parent of a predefined type in the form

In the screenshot above, General protocol is predefined as parent type in the form. We have two options to add a parent of this predefined type:

Via **Search**

1. Click on the Search button.
2. Enter the name or code of the entry you want to add as parent.
3. Select the entry you want to add from the list presented to you.

The parent will be added only when you save the entity.

Via **Paste**

1. You may copy the identifier of an entry you want to add as parent from a file, or from an advanced search or from another ELN page. You can paste the identifier(s) in the Paste text field.
2. Click the +Add button

### Adding parent of any available type

If you want to add a parent that is not specified in the Experimental Step form, you can use the Search Any or Paste Any options next to Parents.

Via **Search Any**

1. Click Search Any
2. Select the Object type for which you want to add a parent
3. Search by code or name as explained above
4. Click the +Add button

Via **Paste Any**

There are cases where you may want to add several parents of the same type or also of different types. In this case, we recommend to use the Advanced Search to find the entries you want to add. You can select the desired entries from the table and the Copy Identifiers button will become visible. You can copy the identifiers and paste them in the Paste Any field in the Experimental Step page, as shown below.

### EMBED IMAGES IN TEXT FIELDS

If an **Object** has a **Rich Text Editor** (RTE) fied, it is possible to directly drag-and-drop an image into the field.

To embed an image in the a text field with the Rich Text Editor (RTE) enabled, you can simply drag & drop a .png or .jpg file and resize the image by clicking on and dragging the corners.

[Next >>> Howto: Create Experimental Steps](CREATEEXPERIMENTALSTEPS.html)

----

&copy; Kristian K Ullrich (2024) - ullrich@evolbio.mpg.de
