[Howto: Create Default Experiment <<<](CREATEEXPERIMENT.html)

## Howto: Create Experimental Steps

As mentioned above, the various steps executed when performing an Experiment in the lab can be registered in openbis as  **Experimental Steps** or **Entries**.

The default Experimental Step has pre-defined fields, as shown below:

<img src="img/openbis_expstep01.png" alt="openbis expstep01" width="800"/>
<br/><br/>
<img src="img/openbis_expstep02.png" alt="openbis expstep02" width="800"/>
<br/><br/>
<img src="img/openbis_expstep03.png" alt="openbis expstep03" width="800"/>
<br/><br/>
<img src="img/openbis_expstep04.png" alt="openbis expstep04" width="800"/>

To register a default **Experimental Step** or **Entry**:

1. Navigate to the relevant Experiment in the Lab Notebook menu and click the + New button, as shown below.
2. Select Experimental Step or Entry
3. Fill in the relevant information or select an available template from the list (see below).
4. If Show in project overview is set to true, this Experimental Step or Entry will be displayed on the Project page.
5. Click Save on top of the form.

### Comments Log

Several comments can be added by different users who have write-access to a given user Space:

1. Click the button in the Comments section.
2. Enter the comment.
3. Click Save.

### Add parents and children to Experimental Steps

In the default Experimental Step and in the Entry, there is a Parents section where it is possible to specify links to materials and methods from the Inventory or to any other Object, e.g. another Experimental Step or Entry.

Parents are all samples/materials used in an experimental procedure, standard protocols from the inventory followed in the experimental procedure, the equipment used. It is also possible to set one Experimental Step/Entry as parent of a second Experimental Step/Entry, to keep the connection between the two.

The name of this section and which parents should be shown in the form, is customisable by the lab manager or group admin as described in [Customise Parents and Children Sections in Object Forms](https://openbis.readthedocs.io/en/20.10.x/user-documentation/general-admin-users/admins-documentation/customise-parents-and-children-sections-in-object-forms.html)

### Adding a parent

### Adding a parent of a predefined type in the form

In the screenshot above, General protocol is predefined as parent type in the form. We have two options to add a parent of this predefined type:

Via **Search**

1. Click on the Search button.
2. Enter the name or code of the entry you want to add as parent.
3. Select the entry you want to add from the list presented to you.

Via **Paste**

1. You may copy the identifier of an entry you want to add as parent from a file, or from an advanced search or from another ELN page. You can paste the identifier(s) in the Paste text field.
2. Click the +Add button

The parent will be added only when you save the entity.

### Adding parent of any available type

If you want to add a parent that is not specified in the Experimental Step form, you can use the Search Any or Paste Any options next to Parents.

Via **Search Any**

1. Click Search Any
2. Select the Object type for which you want to add a parent
3. Search by code or name as explained above
4. Click the +Add button

Via **Paste Any**

There are cases where you may want to add several parents of the same type or also of different types. In this case, we recommend to use the Advanced Search to find the entries you want to add. You can select the desired entries from the table and the Copy Identifiers button will become visible. You can copy the identifiers and paste them in the Paste Any field in the Experimental Step page, as shown below.

### Removing a parent

To remove a parent, choose Remove from the Operations drop down in the parent table, as shown below.

### Adding and Removing Children

Children of Experimental Steps are usually derivative Experimental Steps, or products of the Experimental Step. As for the Parents section, this section can also be customised by a group admin or lab manager in the ELN Settings ([Customise Parents and Children Sections in Object Forms](https://openbis.readthedocs.io/en/20.10.x/user-documentation/general-admin-users/admins-documentation/customise-parents-and-children-sections-in-object-forms.html)).

### Parent-child relationships between entries in lab notebook

In the Lab Notebook section, if you create a new Object from an existing Object, independently of the type, this will be automatically set as parent of the new Object. For example, if you create a new Experimental Step (measurement 4) from an existing Experimental Step (measurement 3), this will be automatically set as child of measurement 3, as shown below.

If you do not wish to have this relationship established, you need to create the new Object starting from the Experiment level, as shown below.

### Datasets tables

The **Experiment/Collection** and **Object** pages have a dataset table .

This table shows the metadata of the datasets. The content of the datasets can be navigated through the main menu.

### Data Access

Datasets are displayed on the left hand-side of the **Experiment/Object** form, as shown below.

### Move Datasets

It is possible to move a Dataset from one Experiment/Object to another Experiment/Object.

1. Click on the Dataset in the main menu
2. In the Dataset page select Move from the More.. dropdown
3. Enter the name or code of the Experiment or Object where you want to move the Dataset to. If you start typing, openBIS will show you a list of possible entries that match what you entered.
4. Press the Accept button.

### Move one Experiment to a different Project

It is possible to move one Experiment and all contained Objects and Datasets from one Project to another.

If Objects contain parent/child relationships these are preserved.

To move one Experiment from one Project to another:

1. Select the Experiment you want to move from the main menu
2. Select Move from the More… dropdown
3. Enter the code of the Project where you want to move your Experiment. If you start typing the code, openBIS will prompt you with a list of available options and you can select the appropriate one from there.
4. Click Accept

[Next >>> Howto: Register Object](REGISTEROBJECT.html)

----

&copy; Kristian K Ullrich (2024) - ullrich@evolbio.mpg.de