[Openbis Storage Manager <<<](STORAGEMANAGER.html)

## Howto: Create Project

1. Navigate to your space: **My Space**
2. To create a Project within your personal space **My Space** >>> **+ New Project** button
3. Define **Project Code**, which is mandatory
4. Write a **Description** for your project
5. **Save** the project so that it will be created

### Code

Use only **upper-case** char and **no whitespace** 

In most cases, Object types have the option to auto-generate codes set to true in the admin UI. In this case, openBIS automatically generates codes and identifiers when Objects are registered. If that is not the case, the code needs to be manually entered by the users in the Excel template. The current template does not have a Code column. This can however be manually added if codes should be provided by the user and not automatically generated by openBIS.  If codes should be manually entered and are missing, openBIS will show the error message "UserFailureExceptionmessage: Code cannot be empty for a non auto generated code."

<img src="img/openbis_create_project01.png" alt="openbis create project 01" width="200"/>
<br/><br/>
<img src="img/openbis_create_project02.png" alt="openbis create project 02" width="200"/>
<br/><br/>
<img src="img/openbis_create_project03.png" alt="openbis create project 03" width="200"/>

Inside one Project, a user can register several Experiments, which can in turn be divided into single Experimental Steps.

openbis provides by default 2 options for registering Experiments:

1. **Collection**: This form has limited metadata fields. It should be considered as a folder, to be used in cases where a user only needs to group subsequent steps, and does not need any relevant information at this folder level.
2. **Default Experiment**: The form of the Default Experment contains several metedata fields that can be filled in by the user.

### Project Overview

In the Project page you have the options to see:

1. Default Experiments and Experimental Steps with the field Show in project overview = true. This is a way to mark the most relevant Experiments and Experimental steps and see them at a glance on the project page (Show Overview).
2. All experiments belonging to the project (Show Experiments/Collections).

The two options are available from the More.. dropdown on the Project page.

### Edit and Delete Projects, Experiments, Experimental Steps

Projects, Experiments and Experimental Steps can be edited at any time, by selecting the Edit icon from the toolbar of the relevant page.

Projects, Experiments and Experimental Steps can be deleted using the Delete option under More tab in the toolbar.

Experiments and Experimental Steps are moved to the trashcan, from where they need to be removed in order to be permanently deleted from the database. Projects are directly deleted, they are not moved to the trashcan first. Projects can be deleted only after deleting all the Experiments they contain.

Please be aware that, by default, only users with Space Admin and Instance Admin  role have permission to delete. Default permissions can be modified on system level (see [Changing the openBIS capability role map](https://openbis.readthedocs.io/en/20.10.x/user-documentation/general-users/lab-notebook.html#../../system-documentation/standalone/installation-and-configuration-guide.md#changing-the-capability-role-map))

[Next >>> Howto: Edit and Delete](EDITDELETE.html)

----

&copy; Kristian K Ullrich (2024) - ullrich@evolbio.mpg.de