[Howto: Add Attachments <<<](ATTACHMENTS.html)

## Howto: Export

### Export to File

### Export Lab Notebooks & Inventory Spaces

All levels of the **Lab Notebook** and **Inventory** can be exported, using the **Export** option in the **More...** drop down, as shown below.

<img src="img/openbis_export_option.png" alt="openbis export option" width="400"/>

In each case, the following export options are available:

- Make import compatible. If selected, datasets are exported in a data folder and are in a format ready to be uploaded in openBIS using the default eln-lims dropbox; the metadata are exported in a xlsx folder which contains information in a format ready to be uploaded via the openBIS admin UI.
- Export metadata as PDF. Metadata are exported in a hierarchy folder that keeps the folder structure of the ELN. At each level, one pdf file for each exported entity is generated.
- Export metadata as XLSX. Metadata are exported in one xlsx folder. The folder contains the metadata of all exported entities and the corresponding masterdata in a metadata.xlsx file. If Make import compatible is selected, this file is suitable for re-import in openBIS. If not, the file contains some fields which are not compatible with re-imports. These fields are: PermId of entities, registrator, registration date, modifier, modification date. In addition to the metadata.xlsx file, the xlsx folder might contain additional folders:
    - a scripts folder, which contains scripts associated with types in the metadata.xlsx file, if these are present;
    - a data folder which holds the content of spreadsheet fields and large text fields that exceed the size of an Excel cell;
    - a miscellaneous folder which contain images embedded in text of exported entries, if present.
- Export data. The default maximum size of all datasets to be exported is 10GB. This can be configured by a system admin in the AS service.properties file. We recommend to use sftp to download large datasets. If Make import compatible is selected, datasets are exported in a data folder in a format ready to be uploaded in openBIS using the default eln-lims dropbox. If not, the datasets are exported in a hiearchy folder that matches the ELN hierarchy.
- Include levels below from same space. If selected, all hierachy levels below the selected entity and belonging to the same Space are exported.
- Include Object and Dataset parents from same space. If selected, Object parents and Dataset parents from the same Space are exported. Example: I export Object A, in Experiment A, in Space 1. Object B in Experiment B also in Space 1 is parent of Object A. When this option is selected, Object B is also exported, otherwise it is not.
- Include Objects and Datasets parents and children from different spaces. This allows to export Object and Dataset parents and children that belong to a different Space than the Space from where Objects and Datasets are being exported. Example: I export Object A in Space 1, which has parents in Space 2. If this option is selected, the parents in Space 2 are also exported, otherwise they are not.
- Wait for download to complete in browser. This is suitable when exporting only metadata or small datasets. When the dowload is ready, a zip file will be available to download from the browser.

<img src="img/openbis_export_selection.png" alt="openbis export selection" width="400"/>

**Note:** ensure that pop-ups are not disabled in your browser.

### Import-compatible export of a Space selecting all options

We select all options from the export widget, as shown below.

<img src="img/openbis_export_space.png" alt="openbis export space" width="400"/>

We export a Space called in the Lab Notebook with all its sublevels.

The exported zip file contains 3 folders:

A. data folder

B. hiearchy folder

This contains folders that match the openBIS hierarchy (Space/Project/Experiment/Object).

C. **xlsx** folder.

This contains:

- a metadata.xlsx file which has the metadata of the exported entities and the corresponding masterdata (types and properties) in the correct format to be re-imported in another openBIS instance;
- a scripts folder that contains evaluation plugins associated to two types defined in the metadata.xlsx file. This folder is present only if the exported types have plugins associated with them.
- a data folder that contains the information stored in the spreadsheet field of one of the Objects in this Space. This folder is present only if the exported entities contain information in spreadsheet or if there are text fields with more than 32,767 characters (this is the limit of the Excel cells).
- a miscellaneous folder that contains images that are embedded in text fields of the exported entities. This folder is present only if exported entities contain images embedded in text.

[Next >>> Practical Session 1: Bacteria Collection](BACTERIACOLLECTION.html)

----

&copy; Kristian K Ullrich (2024) - ullrich@evolbio.mpg.de